Get upload part URL
Gets a presigned URL for uploading a specific part of a multipart upload.
Authorization
OAuth2 upl:uploads:createAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:uploads:create
Header Parameters
Connect-Protocol-Version?number
Define the version of the Connect protocol
Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketRef?&
Reference to the bucket
uploadRequestId?string
ID of the upload request to sign a part for
Length
1 <= length <= 128partNumber?integer
Part number of the upload
Format
int32Range
0 <= valuesizeBytes?string
Size of the part in bytes
Format
int64Range
0 <= value[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/RequestUploadGetPart" \ -H "Connect-Protocol-Version: 1" \ -H "Connect-Timeout-Ms: 1000" \ -H "Content-Type: application/json" \ -d '{}'{
"uploadUrl": "string"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}